package main

import (
	"fmt"
	"strings"
	"github.com/gofiber/fiber/v2"
	"github.com/gofiber/fiber/v2/log"
	"github.com/gofiber/fiber/v2/middleware/logger"
)

func main() {
	app := fiber.New(fiber.Config{})
	app.Use(logger.New())
	app.Use("/*", func(c *fiber.Ctx) error {
		buf := make([]string, 0)
		buf = append(buf, fmt.Sprintf("%s %s", c.Method(), c.Path()))
		for key, values := range c.GetReqHeaders() {
			buf = append(buf, fmt.Sprintf("%s: %s", key, strings.Join(values, ",")))
		}
		buf = append(buf, "")
		buf = append(buf, string(c.BodyRaw()))
		return c.SendString(strings.Join(buf, "\n"))
	})
	log.Fatal(app.Listen(":2000"))
}
